<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;
use Modules\Pp\Http\Controllers\AllocateMachineController;
use Modules\Pp\Http\Controllers\OrderController; 
use Modules\Pp\Http\Controllers\CustomerOrderController; 
use Modules\Pp\Http\Controllers\CustomerOrderListController;
use Modules\Pp\Http\Controllers\SettingsController;
use Modules\Pp\Http\Controllers\AttachmentController;
use Modules\Pp\Http\Controllers\SupplyPlanController;
use Modules\Pp\Http\Controllers\BillOfMaterialController;
use Modules\Pp\Http\Controllers\CustomerOrderAcceptListController;
use Modules\Pp\Http\Controllers\DailyCollectionPlanController;
use Modules\Pp\Http\Controllers\CustomerOrderThreadController; 
use Modules\Pp\Http\Controllers\GanttChartController;
use Modules\Pp\Http\Controllers\OutsideFactoryController;
use Modules\Pp\Http\Controllers\PpMachineryController;
use Modules\Pp\Http\Controllers\PpMachineryProductController;
use Modules\Pp\Http\Controllers\ProductionPlanController;
use Modules\Pp\Http\Controllers\ProductionPlanListController;
use Modules\Pp\Http\Controllers\ProductionPlanMachineWiseController;
use Modules\Pp\Http\Controllers\ProductionTeamController;
use Modules\Pp\Http\Controllers\ProducttionPlanCalenderController;

Route::prefix('pp')->group(function () {
    //Route::get('/', 'PpController@index');

    Route::get('/dashboard', function () {
        return view('pp::dashboard');
    })->middleware('is.logged');

    Route::get('/settings', function () {
        return view('pp::settings');
    })->middleware('is.logged');

    Route::get('/customerOrder', function () {
        return view('pp::customerOrder');
    })->middleware('is.logged');

    Route::get('/orderList', function () {
        return view('pp::orderList');
    })->middleware('is.logged');

    Route::get('/attachment', function () {
        return view('pp::attachment');
    })->middleware('is.logged');

    Route::get('/customerPlan', function () {
        return view('pp::customerPlan');
    })->middleware('is.logged');
    //route by nipuna
    Route::get('/productionPlan', function () {
        return view('pp::production_plan');
    })->middleware('is.logged');


    Route::get('/billOfMaterial', function () {
        return view('pp::billOfMaterial');
    })->middleware('is.logged');

    Route::get('/planDailyCollection', function () {
        return view('pp::dailyCollectionPlan');
    })->middleware('is.logged');

    Route::get('/producttion_plan_calender', function () {
        return view('pp::producttion_plan_calender');
    })->middleware('is.logged');

    Route::get('/pp_machinery', function () {
        return view('pp::pp_machinery');
    })->middleware('is.logged');
    Route::get('/pp_machinery_product', function () {
        return view('pp::pp_machinery_product');
    })->middleware('is.logged');
    Route::get('/pp_outside_factory', function () {
        return view('pp::pp_outside_factory');
    })->middleware('is.logged');
    Route::get('/production_plan_machine_wise', function () {
        return view('pp::production_plan_machine_wise');
    })->middleware('is.logged');
    Route::get('/gantt_chart', function () {
        return view('pp::gantt_chart');
    })->middleware('is.logged');
    Route::get('/gantt_chart2', function () {
        return view('pp::gantt_chart2');
    })->middleware('is.logged');

    Route::get('/customer_order_accept_list', function () {
        return view('pp::customer_order_accept_list');
    })->middleware('is.logged');

    Route::get('/allocate_resources', function () {
        return view('pp::allocate_resources');
    })->middleware('is.logged');

    Route::get('/production_team', function () {
        return view('pp::production_team');
    })->middleware('is.logged');


    Route::get('/production_plan_list', function () {
        return view('pp::production_plan_list');
    })->middleware('is.logged');


    Route::get('/MachineryModal', function () {
        return view('pd::MachineryModal');
    })->middleware('is.logged');


    Route::get('/BomModal', function () {
        return view('pd::BomModal');
    })->middleware('is.logged');

    Route::get('/HrModal', function () {
        return view('pd::HrModal');
    })->middleware('is.logged');



     /** Settings */
    Route::post('/settings/shippingterm', [SettingsController::class, 'saveShippingTerm']);
    Route::post('/settings/productmix', [SettingsController::class, 'saveProductMix']);
    Route::post('/settings/washedlevel', [SettingsController::class, 'saveWashedLevel']);
    Route::post('/settings/plantholesize', [SettingsController::class, 'savePlantHoleSize']);
    Route::post('/settings/drainholesize', [SettingsController::class, 'saveDrainHoleSize']);
    Route::post('/settings/drainholeshape', [SettingsController::class, 'saveDrainHoleShape']);
    Route::post('/settings/productsize', [SettingsController::class, 'saveProductSize']);

    Route::get('/settings/shippingterms', [SettingsController::class, 'allShippingTerm']);
    Route::get('/settings/productmixes', [SettingsController::class, 'allProductMix']);
    Route::get('/settings/washedlevels', [SettingsController::class, 'allWashedLevel']);
    Route::get('/settings/plantholesizes', [SettingsController::class, 'allPlantHoleSize']);
    Route::get('/settings/drainholesizes', [SettingsController::class, 'allDrainHoleSize']);
    Route::get('/settings/drainholeshape', [SettingsController::class, 'allDrainHoleShape']);
    Route::get('/settings/productsize', [SettingsController::class, 'allProductSize']);

    Route::put('/settings/shippingterm/{id}', [SettingsController::class, 'updateShippingTerm']);
    Route::put('/settings/productmix/{id}', [SettingsController::class, 'updateProductMix']);
    Route::put('/settings/washedlevel/{id}', [SettingsController::class, 'updateWashedLevel']);
    Route::put('/settings/plantholesize/{id}', [SettingsController::class, 'updatePlantHoleSize']);
    Route::put('/settings/drainholesize/{id}', [SettingsController::class, 'updateDrainHoleSize']);
    Route::put('/settings/drainholeshape/{id}', [SettingsController::class, 'updateDrainHoleShape']);
    Route::put('/settings/productsize/{id}', [SettingsController::class, 'updateProductSize']);

    Route::delete('/settings/shippingterm/{id}', [SettingsController::class, 'disableShippingTerm']);
    Route::delete('/settings/productmix/{id}', [SettingsController::class, 'disableProductMix']);
    Route::delete('/settings/washedlevel/{id}', [SettingsController::class, 'disableWashedLevel']);
    Route::delete('/settings/plantholesize/{id}', [SettingsController::class, 'desablePlantHoleSize']);
    Route::delete('/settings/drainholesize/{id}', [SettingsController::class, 'desableDrainHoleSize']);
    Route::delete('/settings/drainholeshape/{id}', [SettingsController::class, 'desableDrainHoleShape']);
    Route::delete('/settings/productsize/{id}', [SettingsController::class, 'desableProductSize']);

    Route::delete('/settings/shippingterm/delete/{id}', [SettingsController::class, 'deleteShippingTerm']);
    Route::delete('/settings/productmix/delete/{id}', [SettingsController::class, 'deleteProductMix']);
    Route::delete('/settings/washedlevel/delete/{id}', [SettingsController::class, 'deleteWashedLevel']);
    Route::delete('/settings/plantholesize/delete/{id}', [SettingsController::class, 'deletePlantHoleSize']);
    Route::delete('/settings/drainholesize/delete/{id}', [SettingsController::class, 'deleteDrainHoleSize']);
    Route::delete('/settings/drainholeshape/delete/{id}', [SettingsController::class, 'deleteDrainHoleShape']);
    Route::delete('/settings/productsize/delete/{id}', [SettingsController::class, 'deleteProductSize']);
    /** End Settings */ 

    /** Order */
    // Route::post('/order',[OrderController::class,'save']);
    // Route::post('/order/update',[OrderController::class,'update']);
    // Route::get('/order/allOrder',[OrderController::class,'allOrder']);
    // Route::get('/order/order/{id}',[OrderController::class,'order']);
    // Route::get('/order/settings',[OrderController::class,'settings']);
    // Route::delete('/order/{id}',[OrderController::class,'delete']);
    // Route::delete('/order/order/{id}',[OrderController::class,'disable']);
    /** End Order */

     /** Customer Order */
    Route::get('/customerOrder/allCustomer', [CustomerOrderController::class, 'allCustomers']);
    Route::get('/customerOrder/getCustomer/{id}', [CustomerOrderController::class, 'SelectedCustomersData']);
    Route::get('/customerOrder/allCountries', [CustomerOrderController::class, 'allCountries']);
    Route::get('/customerOrder/allShippingTerms', [CustomerOrderController::class, 'allShippingTerms']);
    Route::get('/customerOrder/allDrainHoleSize', [CustomerOrderController::class, 'allDrainHoleSize']);
    Route::get('/customerOrder/allDrainHoleShape', [CustomerOrderController::class, 'allDrainHoleShape']);
    Route::get('/customerOrder/allProductMix', [CustomerOrderController::class, 'allProductMix']);
    Route::get('/customerOrder/allWashedLevel', [CustomerOrderController::class, 'allWashedLevel']);
    Route::get('/customerOrder/allOrderDataWithToken/{id}/{token}/{action}', [CustomerOrderController::class, 'allOrderDataWithToken']);
    Route::get('/customerOrder/allOrderData/{id}', [CustomerOrderController::class, 'allOrderData']);
    Route::get('/customerOrder/getCustomerAllOrderData/{id}', [CustomerOrderController::class, 'getCustomerAllOrderData']);
    Route::get('/customerOrder/getCustomerOrderData/{id}', [CustomerOrderController::class, 'getCustomerOrderData']);
    Route::get('/customerOrder/getCustomerMainOrder/{id}', [CustomerOrderController::class, 'getCustomerMainOrder']);
    Route::get('/customerOrder/allAttachment/{id}', [CustomerOrderController::class, 'allAttachment']);
    Route::get('/customerOrder/allAttachmentEditViewMode/{id}', [CustomerOrderController::class, 'allAttachmentEditViewMode']);
    Route::post('/customerOrder/saveOrderData', [CustomerOrderController::class, 'saveOrderData']);
    Route::post('/customerOrder/updateOrderData/{id}', [CustomerOrderController::class, 'updateOrderData']);
    Route::post('/customerOrder/saveCustomerOrder', [CustomerOrderController::class, 'saveCustomerOrder']);
    Route::post('/customerOrder/updateCustomerOrder/{id}', [CustomerOrderController::class, 'updateCustomerOrder']);

    Route::delete('/customerOrder/deleteOrderData/{id}', [CustomerOrderController::class, 'deleteOrderData']);
    Route::delete('/customerOrder/deleteAttachment/{id}', [CustomerOrderController::class, 'deleteAttachment']);
    Route::post('/customerOrder/uploadAttachment', [CustomerOrderController::class, 'uploadAttachment']);
    Route::get('/customerOrder/checkOrderStatus/{id}', [CustomerOrderController::class, 'checkOrderStatus']);
    Route::get('/customerOrder/customerAllDeliveryAddress/{id}', [CustomerOrderController::class, 'customerAllDeliveryAddress']);
    Route::get('/customerOrder/isDuplicateFactoryPO/{id}', [CustomerOrderController::class, 'isDuplicateFactoryPO']);
    Route::post('/customerOrder/saveAttachmentViewOrder', [CustomerOrderController::class, 'saveAttachmentViewOrder']);
    /** End Customer Order */
    

    /** Customer Order List Controller */
    Route::get('/customerOrderList/allCustomerOrder/{year}/{month}', [CustomerOrderListController::class, 'allCustomerOrder']);
    Route::delete('/customerOrderList/delete/{id}', [CustomerOrderListController::class, 'delete']);
    Route::get('/customerOrderList/isAllowcateOrder/{id}', [CustomerOrderListController::class, 'isAllowcateOrder']);
    /** End Of Customer Order List Controller */


    /** Attachment */
    Route::get('/attachment/allOrder', [AttachmentController::class, 'allOrder']);
    Route::get('/attachment/allOrder/{id}', [AttachmentController::class, 'getOrderFromId']);
    Route::get('/attachment/delete/{id}', [AttachmentController::class, 'delete']);
    Route::get('/attachment/allFiles/{id}', [AttachmentController::class, 'allFiles']);
    Route::get('/attachment/allOrderFiles', [AttachmentController::class, 'allOrderFiles']);
    Route::post('/attachment/upload', [AttachmentController::class, 'upload'])->name('upload');
    Route::post('/attachment/updateAttachmentID', [AttachmentController::class, 'updateAttachmentID']);
    /** End Attachment */

    /**Customer Plan */
    Route::get('/customerPlan/productToPurchaseOrder/{id}', [SupplyPlanController::class, 'productToPurchaseOrder']); //route by nipuna
    Route::get('/customerPlan/productQuantity/{id}', [SupplyPlanController::class, 'productQuantity']); //route by nipuna
    Route::get('/customerPlan/getQuantity/{id}', [SupplyPlanController::class, 'getQuantity']); 


    Route::get('/customerPlan/settings', [SupplyPlanController::class, 'settings']);
    Route::post('/customerPlan', [SupplyPlanController::class, 'save']);
    Route::get('/customerPlan/allOrderPlan', [SupplyPlanController::class, 'allOrderPlan']);
    Route::delete('/customerPlan/deleteOrder/{id}', [SupplyPlanController::class, 'deleteOrder']);
    Route::get('/customerPlan/customerPlan/{id}', [SupplyPlanController::class, 'customerPlan']);
    Route::post('/customerPlan/update', [SupplyPlanController::class, 'updatePlan']);

    //nipuna
    Route::get('/customerPlanData/addOrder/all', [SupplyPlanController::class, 'addorderPurchaceOrder']);
    Route::get('/customerPlan/orderQuantity/{productCodeID}', [SupplyPlanController::class, 'orderQuantity']);
    Route::get('/customerPlan/orderPlanQuantity/{orderDataID}', [SupplyPlanController::class, 'orderPlanQuantity']);


    /**Production Plan (nipuna) */
    Route::get('/Production_Plan/from/{from}/to/{to}', [ProductionPlanController::class, 'getProductionPlanToDate']);

    Route::post('/customerPlanData', [SupplyPlanController::class, 'saveData']);
    Route::delete('/customerPlanData/deleteProductToOrder/{id}', [SupplyPlanController::class, 'deleteProductToOrder']);
    Route::get('/customerPlanData/customerPlanData/{id}', [SupplyPlanController::class, 'customerPlanData']);
    Route::get('/customerPlanData/searchPName', [SupplyPlanController::class, 'searchPName']);
    Route::get('/customerPlanData/getPName/{id}', [SupplyPlanController::class, 'getPName']);
    Route::get('/customerPlanData/loadProductCode/{orderID}', [SupplyPlanController::class, 'loadProductCode']);
    Route::get('/customerPlanData/allOrderPlanData/{id}', [SupplyPlanController::class, 'allOrderPlanData']);
    Route::post('/customerPlanData/update', [SupplyPlanController::class, 'updatePlanData']);
    Route::delete('/customerPlanData/customerPlanData/{id}', [SupplyPlanController::class, 'disableCustomerPlanData']);
    Route::post('/customerPlanData/saveAddProductToOrder', [SupplyPlanController::class, 'saveAddProductToOrder']);
    Route::get('/customerPlanData/getProductToOrder/{id}', [SupplyPlanController::class, 'getProductToOrder']);
    Route::get('/customerPlanData/getOrder/{id}', [SupplyPlanController::class, 'getOrder']);
    Route::post('/customerPlanData/updateAddProductToOrder/{id}', [SupplyPlanController::class, 'updateAddProductToOrder']);
    Route::post('/customerPlanData/updateOrder/{id}', [SupplyPlanController::class, 'updateOrder']);
    Route::get('/customerPlan/isManufacturingOrderNo/{id}', [SupplyPlanController::class, 'isManufacturingOrderNo']);
    Route::get('/customerPlan/getFactoryPO/{id}', [SupplyPlanController::class, 'getFactoryPO']);
    Route::get('/customerPlan/isAddProductToOrder/{order_id}/{product_id}', [SupplyPlanController::class, 'isAddProductToOrder']);
    /** End Customer Plan */



    /**Bill Of Material */
    Route::get('/bomHeader/searchPName', [BillOfMaterialController::class, 'searchPName']);
    Route::get('/bomHeader/getPName/{id}', [BillOfMaterialController::class, 'getPName']);
    Route::post('/bomHeader', [BillOfMaterialController::class, 'save']);
    Route::get('/bomHeader/allbomHeader', [BillOfMaterialController::class, 'allbomHeader']);
    Route::delete('/bomHeader/{id}', [BillOfMaterialController::class, 'deleteBom']);
    Route::get('/bomHeader/bomHeader/{id}', [BillOfMaterialController::class, 'bomHeader']);
    Route::post('/bomHeader/update/{id}', [BillOfMaterialController::class, 'updateBomHeader']);
    Route::delete('/bomHeader/bomHeader/{id}', [BillOfMaterialController::class, 'disableBomHeader']);

    Route::get('/bomData/searchPDName', [BillOfMaterialController::class, 'searchPDName']);
    Route::get('/bomData/getPDName/{id}', [BillOfMaterialController::class, 'getPDName']);
    Route::post('/bomData', [BillOfMaterialController::class, 'saveData']);
    Route::get('/bomData/allbomData/{id}', [BillOfMaterialController::class, 'allbomData']);
    Route::delete('/bomData/{id}', [BillOfMaterialController::class, 'deletebomData']);
    Route::get('/bomData/bomData/{id}', [BillOfMaterialController::class, 'bomData']);
    Route::post('/bomData/update', [BillOfMaterialController::class, 'updateBomData']);
    Route::delete('/bomData/bomData/{id}', [BillOfMaterialController::class, 'disableBomData']);
    Route::get('/bomData/allUOM', [BillOfMaterialController::class, 'allUOM']);
    Route::get('/bomData/getSelectedBomData/{id}', [BillOfMaterialController::class, 'getSelectedBomData']);
    Route::get('/bomData/isSameBomName/{bom_name}/{product_name}', [BillOfMaterialController::class, 'isSameBomName']);
    /** End Bill Of Material*/

    /**Daily Collection Plan */
    Route::get('/DCPlan/searchMaterial', [DailyCollectionPlanController::class, 'searchMaterial']);
    Route::get('/DCPlan/Quantity/Product/{id}/from/{from}/to/{to}', [DailyCollectionPlanController::class, 'Quantity']);
    Route::get('/DCPlan/Plan/{id}/from/{from}/to/{to}', [DailyCollectionPlanController::class, 'PlanRM']);
    Route::get('/DCPlan/RequiredPlan/{id}/from/{from}/to/{to}', [DailyCollectionPlanController::class, 'RequiredPlan']);
    Route::post('/DCPlan/saveTable', [DailyCollectionPlanController::class, 'saveTable']);
    Route::get('/DCPlan/getPName/{id}', [DailyCollectionPlanController::class, 'getPDName']);
    Route::post('/DCPlan/save', [DailyCollectionPlanController::class, 'save']);


    /**Machinary by nipuna */

    Route::get('/machinery/loadSiteId',[PpMachineryController::class, 'loadSiteId']);
    Route::post('/machinery/save',[PpMachineryController::class, 'save']);
    Route::get('/machinery/load',[PpMachineryController::class, 'alldata']);
    Route::DELETE('/machinery/delete/{id}',[PpMachineryController::class, 'delete']);
    Route::POST('/machinery/Disable/{id}',[PpMachineryController::class, 'disable']);
    Route::GET('/machinery/edit/{id}',[PpMachineryController::class, 'edit']);
    Route::post('/machinery/update/{id}',[PpMachineryController::class, 'update']);

    /**Machinary products by nipuna */

    Route::get('/machinery_Products/loadProducts', [PpMachineryProductController::class, 'loadProducts']);

    Route::post('/machinery_product/save', [PpMachineryProductController::class, 'save']);
    Route::get('/machinery_product/load/{id}', [PpMachineryProductController::class, 'alldata']);
    Route::DELETE('/machinery_product/delete/{id}', [PpMachineryProductController::class, 'delete']);
    Route::put('/machinery_product/Disable/{id}', [PpMachineryProductController::class, 'disable']);
    Route::GET('/machinery_product/edit/{id}', [PpMachineryProductController::class, 'edit']);
    Route::post('/machinery_product/update/{id}', [PpMachineryProductController::class, 'update']);
    Route::get('/machinery_product/isAssignProductToMachine/{machine_id}/{product_id}', [PpMachineryProductController::class, 'isAssignProductToMachine']);
    Route::get('/machinery_product/allMachineryProduct/{machine_id}', [PpMachineryProductController::class, 'allMachineryProduct']);
    //production plan calender by nipuna
    Route::get('/producttion_plan_calender/loadProductionPlanToCalander', [ProducttionPlanCalenderController::class, 'loadProductionPlanToCalander']);

    //outside_factory
    Route::get('/outside_factory/loadSupplier', [OutsideFactoryController::class, 'loadSupplier']);
    Route::get('/outside_factory/load',[OutsideFactoryController::class, 'alldata']);
    Route::post('/outside_factory/saveOutSideFactory',[OutsideFactoryController::class, 'saveOutSideFactory']);
    Route::post('/outside_factory/update',[OutsideFactoryController::class, 'update']);
    Route::get('/outside_factory/edit/{id}',[OutsideFactoryController::class, 'edit']);
    Route::delete('/outside_factory/delete/{id}',[OutsideFactoryController::class, 'delete']);
    Route::post('/outside_factory/Disable/{id}',[OutsideFactoryController::class, 'disable']);


    // production_plan_machine_wise
    Route::get('/productionPlanMachineWise/loadsite', [ProductionPlanMachineWiseController::class, 'loadsite']);
    Route::get('/productionPlanMachineWise/loadMachinesTosite/{id}', [ProductionPlanMachineWiseController::class, 'loadMachinesTosite']);
    Route::get('/ProductionPlanMachineWise/dateRange/{startDate}/{endDate}', [ProductionPlanMachineWiseController::class, 'dateRange']);
    Route::get('/productionPlanMachineWise/createSchedule/{startDate}/{endDate}/{quantity}/{dayNight}', [ProductionPlanMachineWiseController::class, 'createSchedule']);
    Route::post('/ProductionPlanMachineWise/saveMachineryPlan',[ProductionPlanMachineWiseController::class,'saveMachineryPlan']);
    Route::get('/customerPlanData/loadMachineryPlan/{machine_id}', [ProductionPlanMachineWiseController::class, 'loadMachineryPlan']);
    Route::get('/customerPlanData/editMachineryPlan/{order_plan_id}/{startDate}/{endDate}', [ProductionPlanMachineWiseController::class, 'editMachineryPlan']);
    Route::post('/ProductionPlanMachineWise/updateMachineryPlan/{order_plan_id}/{startDate}/{endDate}',[ProductionPlanMachineWiseController::class,'updateMachineryPlan']);
    Route::get('/ProductionPlanMachineWise/allOrderPlanData/{id}', [ProductionPlanMachineWiseController::class, 'allOrderPlanData']);
    Route::get('/ProductionPlanMachineWise/showPlanedModalData/{date}/{id}', [ProductionPlanMachineWiseController::class, 'showPlanedModalData']);
    Route::get('/ProductionPlanMachineWise/loadAllPlanedDataMachine/{product_id}/{cus_order_id}/{machine_id}', [ProductionPlanMachineWiseController::class, 'loadAllPlanedDataMachine']);



    
    /** Gantt Chart */
    Route::get('/ganttChart/createGantChart/{startDate}/{endDate}', [GanttChartController::class, 'createGantChart']);
    Route::get('/createGantChart/ganttChartModalData/{customer_order_id}/{machine_id}/{startDate}/{endDate}', [GanttChartController::class, 'ganttChartModalData']);
    Route::get('/createGantChart/ganttNightPlan/{machine_id}/{startDate}/{endDate}', [GanttChartController::class, 'loadNightPlan']);
    Route::get('/createGantChart/ganttDayActual/{machine_id}/{startDate}/{endDate}', [GanttChartController::class, 'loadDayActual']);
    Route::get('/createGantChart/ganttNightActual/{machine_id}/{startDate}/{endDate}', [GanttChartController::class, 'loadNightActual']);
    Route::get('/createGantChart/loadProducts', [GanttChartController::class, 'loadProducts']);
    Route::get('/createGantChart/loadMachine', [GanttChartController::class, 'loadMachine']);
    Route::get('/createGantChart/loadOrder', [GanttChartController::class, 'loadOrder']);
    Route::get('/ganttChart/searchGantChart/{setting}/{startDate}/{endDate}', [GanttChartController::class, 'searchGantChart']);
    /** End of Gantt Chart */




    /** Customer Order Accept */
    Route::get('/customerOrderAccept/allCustomerOrder', [CustomerOrderAcceptListController::class, 'allCustomerOrder']);
    Route::post('/customerOrderAccept/new_order_staus', [CustomerOrderAcceptListController::class, 'new_order_staus']);
    Route::post('/customerOrderAccept/accept', [CustomerOrderAcceptListController::class, 'accept']);
    Route::post('/customerOrderRevice/revice', [CustomerOrderAcceptListController::class, 'revice']);
    Route::post('/customerOrderReject/reject', [CustomerOrderAcceptListController::class, 'reject']);
    Route::post('/customerOrderScheduled/proceed', [CustomerOrderAcceptListController::class, 'proceed']);
    Route::post('/customerOrderScheduled/hold', [CustomerOrderAcceptListController::class, 'hold']);
    Route::post('/customerOrderScheduled/fund_status_yes', [CustomerOrderAcceptListController::class, 'fund_status_yes']);
    Route::post('/customerOrderScheduled/fund_status_no', [CustomerOrderAcceptListController::class, 'fund_status_no']);

    Route::post('/customerOrderScheduled/production_status_new', [CustomerOrderAcceptListController::class, 'production_status_new']);
    Route::post('/customerOrderScheduled/production_status_planed', [CustomerOrderAcceptListController::class, 'production_status_planed']);
    Route::post('/customerOrderScheduled/production_status_scheduled', [CustomerOrderAcceptListController::class, 'production_status_scheduled']);
    Route::post('/customerOrderScheduled/production_status_start', [CustomerOrderAcceptListController::class, 'production_status_start']);
    Route::post('/customerOrderScheduled/production_status_hold', [CustomerOrderAcceptListController::class, 'production_status_hold']);
    Route::post('/customerOrderScheduled/production_status_finished', [CustomerOrderAcceptListController::class, 'production_status_finished']);
    Route::post('/customerOrderScheduled/production_status_delivered', [CustomerOrderAcceptListController::class, 'production_status_delivered']);

    /** End of Customer Order Accept  */



     /** Customer Order Thread */
     Route::post('/customerOrderThread/submit', [CustomerOrderThreadController::class, 'submit']);
     Route::get('/customerOrderThread/loadCustomerOrderThread/{order_id}', [CustomerOrderThreadController::class, 'loadCustomerOrderThread']);
     /** End of Customer Order Thread  */

     
    /** ALLOCATE TO RESOURCES */
    Route::get('/allocateMachine/addOrder/all', [AllocateMachineController::class, 'addorderPurchaceOrder']);
    Route::get('/allocateMachine/allOrderPlan', [AllocateMachineController::class, 'allOrderPlan']);
    Route::get('/allocateMachine/allOrderPlanData/{id}', [AllocateMachineController::class, 'allOrderPlanData']);
    Route::get('/allocateMachine/getSelectedProductData/{customer_order_plan_data_id}/{product_primary_id}/{bom_header_id}', [AllocateMachineController::class, 'getSelectedProductData']);
    Route::get('/allocateMachine/factories', [AllocateMachineController::class, 'factories']);
    Route::get('/allocateMachine/loadMachinesToFactory/{id}', [AllocateMachineController::class, 'loadMachinesToFactory']);
    Route::get('/allocateMachine/allShift', [AllocateMachineController::class, 'allShift']);
    Route::get('/allocateMachine/quantityPerHour/{machine_id}', [AllocateMachineController::class, 'quantityPerHour']);
    Route::post('/allocateMachine/saveAllocateToMachine', [AllocateMachineController::class, 'saveAllocateToMachine']);
    Route::get('/allocateMachine/getAllocatedQuantityFromDate/{order_id}/{product_id}/{machine_id}/{date}/{from}/{to}', [AllocateMachineController::class, 'getAllocatedQuantityFromDate']);
    Route::get('/allocateMachine/getAllocatedData/{order_id}/{product_id}/{machine_id}', [AllocateMachineController::class, 'getAllocatedData']);
    Route::get('/allocateMachine/getAllocatedBOMData/{product_code}/{bom_name}', [AllocateMachineController::class, 'getAllocatedBOMData']);
    Route::get('/allocateMachine/allRawMaterialProducts', [AllocateMachineController::class, 'allRawMaterialProducts']);
    Route::post('/allocateMachine/saveAllocateToBOM', [AllocateMachineController::class, 'saveAllocateToBOM']);
    Route::get('/allocateMachine/getProductionTeam', [AllocateMachineController::class, 'getProductionTeam']);
    Route::post('/allocateMachine/saveAllocateToHR', [AllocateMachineController::class, 'saveAllocateToHR']);
    Route::get('/allocateMachine/getSaveProductionTeam/{customer_order_plan_data_id}/{fg_product_id}/{shift_id}', [AllocateMachineController::class, 'getSaveProductionTeam']);
    Route::get('/allocateMachine/getSavedAllocatedBOMData/{customer_order_plan_data_id}/{fg_product_id}', [AllocateMachineController::class, 'getSavedAllocatedBOMData']);
    Route::get('/producttionPlanCalander/loadProductionPlanToCalander', [AllocateMachineController::class, 'loadProductionPlanToCalander']);
    Route::get('/allocateMachine/getMachineryShifts/{customer_order_plan_data_id}', [AllocateMachineController::class, 'getMachineryShifts']);
    Route::get('/allocateMachine/allBomName/{product_id}', [AllocateMachineController::class, 'allBomName']);
    Route::get('/allocateMachine/getProductUnits', [AllocateMachineController::class, 'getProductUnits']);
    Route::get('/allocateMachine/get_from_to/{shift_id}', [AllocateMachineController::class, 'get_from_to']);
    /** ALLOCATE TO RESOURCES */


    /** PRODUCTION TEAM */
    Route::post('/ProductionTeam/saveProductionTeam', [ProductionTeamController::class, 'saveProductionTeam']);
    Route::get('/ProductionTeam/allDesignation', [ProductionTeamController::class, 'allDesignation']);
    Route::get('/ProductionTeam/productionTeamList', [ProductionTeamController::class, 'productionTeamList']);
    Route::delete('/ProductionTeam/productionTeamDelete/{id}/{designation_id}', [ProductionTeamController::class, 'productionTeamDelete']);
    Route::put('/ProductionTeam/updateProductionTeam/{id}', [ProductionTeamController::class, 'updateProductionTeam']);
    Route::put('/ProductionTeam/disable/{id}/{designation_id}', [ProductionTeamController::class, 'disable']);
    /** END OF PRODUCTION TEAM */



    /**Production Plan List Controller */
    Route::get('/ProductionPlanListController/productionPlan', [ProductionPlanListController::class, 'productionPlan']);


    Route::get('/ProductionPlanListController/getMachineryShifts/{customer_order_plan_data_id}', [ProductionPlanListController::class, 'getMachineryShifts']);
    Route::get('/ProductionPlanListController/getSavedAllocatedDataToDetailsHR/{customer_order_plan_data_id}/{fg_product_id}/{shift_id}', [ProductionPlanListController::class, 'getSavedAllocatedDataToDetailsHR']);
    Route::get('/ProductionPlanListController/getSelectedProductData/{customer_order_plan_data_id}/{product_primary_id}/{machinery_id}', [ProductionPlanListController::class, 'getSelectedProductData']);

    Route::get('/ProductionPlanListController/getSavedAllocatedBOMData/{customer_order_plan_data_id}/{fg_product_id}', [ProductionPlanListController::class, 'getSavedAllocatedBOMData']);
    Route::get('/ProductionPlanListController/getSavedMachineryData/{order_id}/{product_id}/{machine_id}', [ProductionPlanListController::class, 'getSavedMachineryData']);
    /**End of Production Plan List Controller */


});
